package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouSupplyChain;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 快手电商-供应链订单信息
 *
 * @author jeecg-boot
 * 2022-12-01
 * @version V1.0
 */
public interface IKuaishouSupplyChainService extends IService<KuaishouSupplyChain> {
    void getOrderList(String cookie, Integer offset, Long orderCreateTimeStart, Long orderCreateTimeEnd, Long regimentalId) throws Exception;

    List<JSONObject> getCookie();


    List<JSONObject> getDataList(Long statDate);

    List<JSONObject> getPromoterDataList(Long statDate);

    void deletePromoterBindChannelByDate(Long date);

    void cleanKuaiShouPromoterBindChannel(Long date);

    List<JSONObject> getSamplesData(String startDate);

    void cleanBytedancePromoterBindChannel(Long date);

    void deleteMgsPromoterBindChannelByDate(Long date);

    void cleanMgsKuaiShouPromoterBindChannel(Long date);

    List<JSONObject> getMgsDataList(Long statDate);

    void deleteRocketPromoterBindChannelByDate(Long date);

    void cleanRocketKuaiShouPromoterBindChannel(Long date);

    List<JSONObject> getRocketDataList(Long statDate);

    void getCcrInfo(String cookie, Integer offset, String type, String activityKeyWord) throws InterruptedException;

    List<JSONObject> getMgsCookie();

    List<JSONObject> getRocketCookie();

    List<JSONObject> getYuFuCiikie();

    List<JSONObject> getYufuDataList(Long statDate);

    void deleteYufuPromoterBindChannelByDate(Long date);


    void cleanYufuKuaiShouPromoterBindChannel(Long date);

    List<String> getActivityKeyWord(String yesDate, String ruixuan);

    void getSellerInfo(String cookie, Integer offset, String db, String date) throws InterruptedException;

    void deleteItemBindCourtshipByDate(Long date);

    void cleanKuaiShouItemBindCourtship(Long date);

    void cleanBytedanceItemBindCourtship(Long date);

    void deleteMgsItemBindCourtshipByDate(Long date);

    void cleanMgsItemBindCourtship(Long date);

    void deleteRocketItemBindCourtshipByDate(Long date);

    void cleanRocketItemBindCourtship(Long date);

    void deleteYufuItemBindCourtshipByDate(Long date);

    void cleanYufuItemBindCourtship(Long date);

    void deleteYuXiuPromoterBindChannelByDate(Long date);

    void cleanYuXiuKuaiShouPromoterBindChannel(Long date);

    void deleteYuXiuItemBindCourtshipByDate(Long date);

    void cleanYuXiuItemBindCourtship(Long date);

    void deleteZhiShuiPromoterBindChannelByDate(Long date);

    void cleanZhiShuiKuaiShouPromoterBindChannel(Long date);

    void deleteZhiShuiItemBindCourtshipByDate(Long date);

    void cleanZhiShuiItemBindCourtship(Long date);

    List<JSONObject> getZhiShuiCiikie();

    List<JSONObject> getyuxiuCiikie();
}
